Skip to Content
0

Update of SAPUI5 Delivery Unit on SAP HANA on-premise landscape?!

Dec 21, 2016 at 07:35 AM

402

avatar image

Hey folks,

recently i updated my HANA landscape to SPS12. Now we are developing a new application and want to use the latest SAPUI5 library, as we really appreciate the new looks and functionality of this (want to implement something like the Fiori 2.0 Overview page).

But we learned that the SAPUI5 version shipped with our SPS12 update is 1.28. I tried to find a package in order to update the DU for SAPUI5, but didn't find any in Service Marketplace or the internet...

So how can we update SAPUI5 to the latest version on our on-premise HANA system?

Best regards,

Manuel

10 |10000 characters needed characters left characters exceeded

Update:

my current approach is to download the latest revision of SAP HANA 2.0 on premise, it was the complete installation archive about 3 GB in size. With that I was able to extract the delivery unit with SAPUI5 from this release.

Now i'd be able to import this delivery unit. Unfortunately this would overwrite the SAPUI5 version delivered with my instance. As all of the administration apps rely on that version I'm not sure if I want to take this risk. My workaround for that problem would be to import the new DU, rename it to SAPUI5_2 and then re-import the original one. Seems to be the only feasible way as renaming of the DU itself could prove to be inconvenient.

Unfortunately the download on 21.12.2016 still contained SAPUI 1.38... So I'll wait for next updates and see if there is 1.40 included in one of them.

0
* Please Login or Register to Answer, Follow or Comment.

3 Answers

Sergio Guerrero Dec 22, 2016 at 08:27 PM
-1

Manuel,

your sapui5 version should be 1.40 or later in order to use the Fiori 2.0 controls - and the controls should look like this

https://sapui5.netweaver.ondemand.com/sdk/explored.html#/entity/sap.m.ActionSheet/samples

Show 1 Share
10 |10000 characters needed characters left characters exceeded

Hi Sergio,

yes, i know. :-) But how to update SAPUI5 on my on-premise landscape? I got 1.28 with update on SPS12.

0
Sergio Guerrero Dec 24, 2016 at 03:27 PM
-1
Show 1 Share
10 |10000 characters needed characters left characters exceeded

Tried this, but this requires Fiori installation and maintenance via SAP ERP system. I'm on standalone HANA tho, so it doesn't work for me :-(

0
Filipe Martins
Jan 24, 2017 at 09:49 AM
-1

Hi Manuel,

Had the same issue yesterday, I found the UI5 delivery units here:

https://nexus:8443/nexus/content/repositories/hana.content/sap/ui5/1/SAPUI5_1/

I downloaded the latest *.tgz and imported it with Hana studio, it worked fine after that.

Show 1 Share
10 |10000 characters needed characters left characters exceeded

Hi Filipe, thank you very much. This seems to be exactly what I need, but it's only accessible for SAP employees, right?

0